Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000304 [Piwigo] other minor always 2006.03.12 19:32 2006.06.26 07:18
Reporter ericFabre View Status public  
Assigned To
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC3 Product Version 1.5.2
  Target Version Product Build
Summary 0000304: renvoi du login et du code par email.
Description les visiteurs peuvent actuellement se faire renvoyer le mot de passe si ils connaissent leur login et avaient entré leur mail... ce qui est super !

maintenant j'aimerais demander si il est possible en modifiant la fonction et la page de demande de renvoi, que le visiteur ayant oublié son nom d'utilisateur (ça arrive !!!) puisse entrer son mail (ça en général il le connait) et que PWG lui renvoi par mail le login et le mot de passe (correspondant dans la BDD au mail en question.) ...

c'est sécurisé, autonome et hyper pratique...
merci.
eric.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001126)
chrisaga (developer)
2006.06.24 14:48

Sauf erreur, c'est déjà comme ça que ça fonctionne en 1.5.2
(0001128)
nikrou (developer)
2006.06.25 15:32

> les visiteurs peuvent actuellement se faire renvoyer le mot de passe si ils connaissent leur login et avaient entré leur mail... ce qui est super !

ils se font renvoyer un nouveau mot de passe et uniquement s'ils connaissent leur email.
(0001129)
rub (developer)
2006.06.26 07:18

Après vérification dans la version 1.6.0RC2 (et c'est pareil dans les 1.5.2), PWG renvoie après saisie de l'émail:
  o le nom d'utilisateur
  o un nouveau mot de passe

Remarque, l'envoi du mot de passe courant ne sera pas possible.

- Issue History
Date Modified Username Field Change
2006.03.12 19:32 ericFabre New Issue
2006.03.12 19:32 ericFabre browser => any
2006.03.12 19:32 ericFabre Web server => Apache 1.3.x
2006.06.24 14:48 chrisaga Note Added: 0001126
2006.06.24 14:48 chrisaga Status new => feedback
2006.06.25 15:32 nikrou Note Added: 0001128
2006.06.26 07:18 rub Status feedback => closed
2006.06.26 07:18 rub Note Added: 0001129
2006.06.26 07:18 rub Resolution open => fixed
2006.06.26 07:18 rub Fixed in Version => 1.6.0RC3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker